import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React, { forwardRef } from 'react';
import PropTypes from 'prop-types';
const Icon = /*#__PURE__*/forwardRef((_ref, ref) => {
  let {
    children
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["children"]);

  return /*#__PURE__*/React.createElement("div", _extends({
    ref: ref
  }, rest), children);
});
Icon.displayName = 'Icon';
Icon.propTypes = {
  /** Children to be rendered in the main container. */
  children: PropTypes.node
};
export default Icon;